## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AttributeVectorEntry Class Reference

`#include <AttributeVectorEntry.hpp>`

Inheritance diagram for AttributeVectorEntry

List of all members.

## Public Types

- typedef std::vector<XMLCh> XMLChVectorType

## Public Methods

- AttributeVectorEntry ( const XMLChVectorType& theName, const XMLChVectorType& theValue, const XMLChVectorType& theType)
- AttributeVectorEntry ( const XMLCh* theName, const XMLCh* theValue, const XMLCh* theType)
- AttributeVectorEntry ()
- virtual ~AttributeVectorEntry ()
- void clear ()

## Public Attributes

- XMLChVectorType m_Name
- XMLChVectorType m_Value
- XMLChVectorType m_Type

## Static Public Methods

- const XMLCh* endArray (const XMLCh* data)

## Member Typedef Documentation

typedef std::vector<XMLCh> AttributeVectorEntry::XMLChVectorType

## Constructor & Destructor Documentation

AttributeVectorEntry::AttributeVectorEntry ( | const XMLChVectorType & theName,
| const XMLChVectorType & theValue,
| const XMLChVectorType & theType )

AttributeVectorEntry::AttributeVectorEntry ( | const XMLCh * theName,
| const XMLCh * theValue,
| const XMLCh * theType )

AttributeVectorEntry::AttributeVectorEntry ( | )

AttributeVectorEntry::~AttributeVectorEntry ( | )`[virtual]`

## Member Function Documentation

void AttributeVectorEntry::clear ( | )`[]`

Reimplemented in AttributeVectorEntryExtended.

const XMLCh * AttributeVectorEntry::endArray ( | const XMLCh * data )`[static]`

## Member Data Documentation

XMLChVectorType AttributeVectorEntry::m_Name

XMLChVectorType AttributeVectorEntry::m_Type

XMLChVectorType AttributeVectorEntry::m_Value

The documentation for this class was generated from the following file:

- AttributeVectorEntry.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.